Developer Workstation Installation

Open 'Developer Workstation Installation' wizard, choose your scenario to see more provider-related information of the installation manual.

Software Requirements

Sana Commerce requires some software to be installed.
Administrator rights might be required to install the missing components. 
To be able to develop and configure applications with Sana Commerce the following software is required:
  • MS Windows XP Professional Edition with Service Pack 3 or later, Windows Vista Business Edition, Ultimate Edition, or Enterprise Edition with Service Pack 1 or later, MS Windows 7 Professional, Ultimate, or Enterprise, MS Windows Server 2003 with Service Pack 2 or later, MS Windows Server 2003 R2 with Service Pack 2 or later, MS Windows Server 2008, Windows Server 2008 R2, MS Small Business Server 2003 R2 with Service Pack 2 or later, MS Small Business Server 2008 or later, MS Windows Essential Business Server 2008, Standard or Premium.
    Sana Commerce supports both 32 bit and 64 bit versions of the operating systems;
  • MS Visual Studio 2010 or MS Visual Web Developer 2010 Express edition;
  • MS .NET Framework 4.0 (can be downloaded here);
  • Microsoft SQL Server 2005 with Service Pack 2 or later, SQL Server 2008 (R2) Express, Workgroup, Standard, or Enterprise.  Please note that the Express editions can only be used if the database size is under 4GB;
  • MS SQL Management Studio 2005 or MS SQL Management Studio 2008 Express, Workgroup, Standard, or Enterprise edition;
  • Optional: Telerik controls library (only required for backoffice development; more information can be found in this chapter);
  • MS Dynamics NAV - Administration database (SQL or native): the Pebblestone Fashion 9.0 module is required when using the Sana Commerce Fashion add-on;
  • MS Dynamics NAV - Client (SQL or native);
  • RoleTailored Client (when using NAV 2009);
  • MS Dynamics NAV - Application Server for MS Dynamics NAV (SQL or native);
  • MS Dynamics NAV Server, MS Dynamics NAV Business Web Services (when using NAV 2009).
When running a multiple server setup not all software is required on all servers. Check the 'Multiple servers' section for more details of which software is required on which server type.

Supported Dynamics NAV versions:

  • MS Dynamics NAV 4.03;
  • MS Dynamics NAV 5.01;
  • MS Dynamics NAV 2009 SP1;
  • MS Dynamics NAV 2009 R2.
All regional settings are supported. But it is required however that the regional settings of the webuser used on the web server are the same as the regional settings of the NAS user used on the NAV / NAS server.
To be able to view the Sana Commerce NAV menu items and edit the Sana Commerce code units, the Sana Commerce ID range should be added to the NAV (developer) license used for the administration.

The Fashion add-on is supported on Pebblestone Fashion versions:

  • 8.21 (NAV 4 SP3);
  • 9.10 (NAV 5 SP1);
  • 10.00.01 (NAV2009 SP1);
  • 10.00.04 (NAV2009 R2).

Prepacks are not supported on Pebblestone Fashion version 8.21.